package cn.common.enums;
/**
 * 业务操作类型
 * 对应数据字典sys_oper_type
 * 1新增;2修改;3删除;4授权;5导出;6导入;7强退;8查询;9清空数据
 */
public enum BizOpType 
{
	INSERT("insert", "新增"),
	UPDATE("update", "更新"),
	DELETE("delete", "删除"),
	GRANT("grant", "授权"),
    EXPORT("export", "导出"),
    IMPORT("import", "导入"),
    FORCE("force", "强退"),
	SELECT("select", "查询"),
    CLEAN("clear", "清空"),
    UPDATEINSERT("UpdateInsert", "更新插入"),
    DELETEINSERT("DeleteInsert", "删除插入"),
	REDIS("redis", "获取Redis缓存信息"),
	SERVER("server", "获取服务器信息"),
	ONLINE("online", "在线用户"),
	UPDATEFILE("updateFile", "上传文件"),
	
	/**操作人类别*/
	MANAGE("other", "后台用户"),
    MOBILE("other", "移动端用户"),
    OTHER("other", "其它")	
	;
	
	String code;
	String msg;

	BizOpType(String code, String msg) {
		this.code = code;
		this.msg = msg;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}
}